SC_GET_CACHE_DIR(3)

NAME
sc_get_cache_dir - Get the OpenSC cache directory

SYNOPSIS

#include <opensc.h>
int sc_get_cache_dir(struct sc_context *ctx, char *buf, size_t bufsize);

DESCRIPTION

This function stores the OpenSC cache directory for the current user in the buffer pointed to bybuf, which is bufsize bytes long.

RETURN VALUE

Returns 0 if successful, or a negative value in case of error.